Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Nov 26, 2010 11:12 pm    Post subject: Reply with quote

From rocs-4.5.80:

rocs wrote:
* Failed Patch: rocs-4.5.3-double.patch !
* ( /var/paludis/repositories/kde-testing/kde-base/rocs/files/rocs-4.5.3-double.patch )
*
* Include in your bugreport the contents of:
*
* /var/tmp/paludis/kde-base-rocs-4.5.80/temp//rocs-4.5.3-double.patch.out


With the patch disabled (commented in ebuild) rocs compiles fine.

And of course I had to put "-python" for marble too.

But somehow desktop runs for me even smoother that 4.5.3... But maybe that's just first impression and I'll be killed off with crashes ;)

[EDIT]

krita fails with KDE 4.5.80:

krita-2.2.2 wrote:
[ 70%] Building CXX object krita/plugins/formats/raw/CMakeFiles/krita_raw_import.dir/kis_raw_import.o
[ 70%] Building CXX object krita/plugins/paintops/curvebrush/CMakeFiles/kritacurvepaintop.dir/curve_brush.o
Linking CXX shared module ../../../../lib/kritatonemapping.so
[ 70%] Building CXX object krita/plugins/formats/jpeg/CMakeFiles/kritajpegexport.dir/kritajpegexport_automoc.o
[ 70%] Building CXX object krita/plugins/formats/jpeg/CMakeFiles/kritajpegexport.dir/kis_jpeg_export.o
[ 70%] Building CXX object krita/plugins/paintops/libbrush/CMakeFiles/kritalibbrush.dir/kis_boundary.o
[ 70%] Built target kritatonemapping
Scanning dependencies of target kritajpegimport
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp: In member function 'virtual KoFilter::ConversionStatus KisRawImport::convert(const QByteArray&, const QByteArray&)':
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:99:30: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'setDefaultSettings'
[ 70%] Building CXX object krita/plugins/paintops/curvebrush/CMakeFiles/kritacurvepaintop.dir/curve_paintop_plugin.o
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp: In member function 'KDcrawIface::RawDecodingSettings KisRawImport::rawDecodingSettings()':
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:189:52: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'brightness'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:190:52: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'quality'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:191:58: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'outputColorSpace'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:192:63: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'useFourColor'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:193:59: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'useDontStretchPixels'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:194:54: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'unclipColor'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:195:54: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'whiteBalance'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:196:60: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'customWhiteBalance'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:197:65: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'customWhiteBalanceGreen'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:199:58: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'useBlackPoint'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:200:52: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'blackPoint'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:202:62: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'useNoiseReduction'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:203:53: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'NRThreshold'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:205:60: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'useCACorrection'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:206:57: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'caRedMultiplier'
/var/tmp/paludis/app-office-krita-2.2.2/work/krita-2.2.2/krita/plugins/formats/raw/kis_raw_import.cpp:207:57: error: 'class KDcrawIface::DcrawSettingsWidget' has no member named 'caBlueMultiplier'
[ 70%] Building CXX object krita/plugins/paintops/libbrush/CMakeFiles/kritalibbrush.dir/kis_brush.o
[ 70%] Building CXX object krita/plugins/paintops/libbrush/CMakeFiles/kritalibbrush.dir/kis_brush_registry.o
make[2]: *** [krita/plugins/formats/raw/CMakeFiles/krita_raw_import.dir/kis_raw_import.o] Error 1
make[1]: *** [krita/plugins/formats/raw/CMakeFiles/krita_raw_import.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....


Any ideas?
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Sat Nov 27, 2010 12:00 pm    Post subject: Reply with quote

Anyone managed with a truely HAL-free KDE 4.5.80? Without HAL I have no automounting of cameras (DVDs do automount), though I can manually access them from Digikam, and more important no more suspend/hibernate from KDE.
Code:
# upower -d
Daemon:
  daemon-version:  0.9.7
  can-suspend:     yes
  can-hibernate    yes
...
Back to top
View user's profile Send private message
aminalshmu
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2004
Posts: 78
Location: Tallahassee, Florida, USA

PostPosted: Sat Nov 27, 2010 2:42 pm    Post subject: plasma-workspace Reply with quote

Code:
jordan@crusher ~ $ temerge -av kde-meta
 * Mounting 2G of memory to /var/tmp/portage ...                                                                                                                                                         [ ok ]
 * running emerge -av kde-meta
--- Unmatch removal atoms in /var/lib/layman/pcsx2/profiles/package.mask: -games-emulation/ps2emu-cddvdlinuz, -games-emulation/pcsx2, -games-emulation/ps2emu-padxwin and 5 more
--- Unmatch removal atom(s) in /var/lib/layman/wolf31o2/profiles/package.mask: -dev-python/pygoogle, -=net-analyzer/net-snmp-5.5*, -net-firewall/arno-iptables-firewall

These are the packages that would be merged, in order:

Calculating dependencies     ... done!         
[ebuild  N    ] kde-base/plasma-workspace-9999  USE="google-gadgets xinerama (-aqua) -debug -gps -handbook (-kdeenablefinal) (-kdeprefix) -python -qalculate -semantic-desktop" 0 kB [1]
[ebuild  N    ] kde-base/kdenetwork-meta-9999  USE="(-aqua) (-kdeprefix) -ppp" 0 kB [1]
[ebuild  N    ] kde-base/kdeplasma-addons-9999  USE="exif (-aqua) -debug -desktopglobe (-kdeenablefinal) (-kdeprefix) -qalculate -qwt -scim -semantic-desktop" 0 kB [1]
[ebuild  N    ] kde-base/kdebase-startkde-9999  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [1]
[ebuild  N    ] kde-base/kdebase-meta-9999  USE="(-aqua) (-kdeprefix)" 0 kB [1]
[ebuild  N    ] kde-base/kde-meta-9999  USE="nls -accessibility (-aqua) (-kdeprefix) -sdk -semantic-desktop" 0 kB [1]

Total: 6 packages (6 new), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /var/lib/layman/kde

Would you like to merge these packages? [Yes/No]

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 6) kde-base/plasma-workspace-9999 from kde
 * Package:    kde-base/plasma-workspace-9999
 * Repository: kde
 * Maintainer: kde@gentoo.org
 * USE:  amd64 elibc_glibc google-gadgets kernel_linux multilib userland_GNU xinerama
>>> Unpacking source...
 * Fetching disabled since 1 hours has not passed since last update.
 * Using existing repository copy at revision 1201370.
 *    working copy: /usr/portage/distfiles/svn-src/kdebase-workspace/workspace

 * Exporting parts of working copy to /var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999
>>> Source unpacked in /var/tmp/portage/kde-base/plasma-workspace-9999/work
>>> Preparing source in /var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999 ...
 * Applying plasma-workspace-4.4.2-xinerama_cmake_automagic.patch ...                                                                                                                                   [ ok ]
 * Injecting library dependencies from 'libkworkspace libplasmaclock libplasmagenericshell libtaskmanager' ...                                                                                          [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999_build"
cmake -C /var/tmp/portage/kde-base/plasma-workspace-9999/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DKDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DWITH_Googlegadgets=ON -DWITH_libgps=OFF -DWITH_SIP=OFF -DWITH_PyQt4=OFF -DWITH_PyKDE4=OFF -DWITH_qalculate=OFF -DWITH_QALCULATE=OFF -DWITH_Qalculate=OFF -DWITH_Nepomuk=OFF -DWITH_Soprano=OFF -DWITH_X11_Xinerama=ON -DWITH_Xmms=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/kde-base/plasma-workspace-9999/temp/gentoo_rules.cmake  /var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999
loading initial cache file /var/tmp/portage/kde-base/plasma-workspace-9999/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.7.1 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Found Phonon: /usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.6 include dir: /usr/include
-- Found KDE 4.6 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Strigi API needs 'signed char'
-- Found Strigi: /usr/lib64/libstreams.so
-- Found QImageBlitz: /usr/include/qimageblitz
-- Found ZLIB: /usr/lib64/libz.so
-- Found DBusMenuQt: /usr/lib64/libdbusmenu-qt.so  (found version "0.6.2", required is "0.6.0")
-- Found GLIB2: /usr/lib64/libglib-2.0.so
-- Found Fontconfig: /usr/lib64/libfontconfig.so
-- Found Googlegadgets: ggadget-qt-1.0;ggadget-1.0;QtGui;QtCore
-- Found PythonInterp: /usr/bin/python
-- Found Python executable: /usr/bin/python
-- Found Python version: 2.6.6
-- Found Python library: /usr/lib64/libpython2.6.so
-- Looking for getspnam
-- Looking for getspnam - found
-- Looking for crypt in crypt
-- Looking for crypt in crypt - found
-- Looking for include files HAVE_CRYPT_H
-- Looking for include files HAVE_CRYPT_H - found
-- Looking for XkbLockModifiers in X11
-- Looking for XkbLockModifiers in X11 - found
-- Looking for getpassphrase
-- Looking for getpassphrase - not found
-- Looking for vsyslog
-- Looking for vsyslog - found
-- Looking for statvfs
-- Looking for statvfs - found
-- Looking for include files HAVE_LIMITS_H
-- Looking for include files HAVE_LIMITS_H - found
-- Looking for include files HAVE_SYS_TIME_H
-- Looking for include files HAVE_SYS_TIME_H - found
-- Looking for include files HAVE_STDINT_H
-- Looking for include files HAVE_STDINT_H - found
-- Looking for include files HAVE_SYS_VFS_H
-- Looking for include files HAVE_SYS_VFS_H - found
-- Looking for include files HAVE_SYS_STATVFS_H
-- Looking for include files HAVE_SYS_STATVFS_H - found
-- Looking for include files HAVE_SYS_PARAM_H
-- Looking for include files HAVE_SYS_PARAM_H - found
-- Looking for include files HAVE_SYS_MOUNT_H
-- Looking for include files HAVE_SYS_MOUNT_H - found
-- Looking for include files HAVE_SYS_STATFS_H
-- Looking for include files HAVE_SYS_STATFS_H - found
-- Looking for statfs
-- Looking for statfs - found
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of struct ucred
-- Check size of struct ucred - failed
-- Looking for getpeereid
-- Looking for getpeereid - not found
-- Looking for setpriority
-- Looking for setpriority - found
-- checking for module 'xrandr>=1.3'
--   found xrandr, version 1.3.1
-- Found KdepimLibs: /usr/lib64/cmake/KdepimLibs/KdepimLibsConfig.cmake
-- Looking for XScreenSaverQueryInfo in Xss
-- Looking for XScreenSaverQueryInfo in Xss - found
-- Could NOT find XMMS: the nowplaying dataengine will NOT support XMMS 1.x
-- Found KdepimLibs: /usr/lib64/cmake/KdepimLibs/KdepimLibsConfig.cmake
-- Boost version: 1.42.0
CMake Error at /usr/share/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:198 (MESSAGE):
  Could NOT find Akonadi (missing: Akonadi_CONFIG)
Call Stack (most recent call first):
  /usr/share/apps/cmake/modules/FindAkonadi.cmake:40 (find_package_handle_standard_args)
  plasma/generic/dataengines/akonadi/CMakeLists.txt:2 (find_package)

-- Configuring incomplete, errors occurred!
 * ERROR: kde-base/plasma-workspace-9999 failed:
 *   cmake failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 6500:  Called kde4-meta_src_configure
 *   environment, line 4008:  Called kde4-base_src_configure
 *   environment, line 3664:  Called cmake-utils_src_configure
 *   environment, line 1838:  Called _execute_optionaly 'src_configure'
 *   environment, line  836:  Called enable_cmake-utils_src_configure
 *   environment, line 2261:  Called die
 * The specific snippet of code:
 *       cmake "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 *
 * If you need support, post the output of 'emerge --info =kde-base/plasma-workspace-9999',
 * the complete build log and the output of 'emerge -pqv =kde-base/plasma-workspace-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-meta.eclass
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/tmp/portage/kde-base/plasma-workspace-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/plasma-workspace-9999/temp/environment'.
 * S: '/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace-9999'

>>> Failed to emerge kde-base/plasma-workspace-9999


looks for missing akonadi, however:

Code:
jordan@crusher ~ $ sudo emerge -av akonadi
--- Unmatch removal atoms in /var/lib/layman/pcsx2/profiles/package.mask: -games-emulation/ps2emu-cddvdlinuz, -games-emulation/pcsx2, -games-emulation/ps2emu-padxwin and 5 more
--- Unmatch removal atom(s) in /var/lib/layman/wolf31o2/profiles/package.mask: -dev-python/pygoogle, -=net-analyzer/net-snmp-5.5*, -net-firewall/arno-iptables-firewall

These are the packages that would be merged, in order:

Calculating dependencies                   ... done!               
[ebuild  N    ] app-office/akonadi-server-1.4.80  USE="server sqlite -mysql -postgres" 237 kB [1]
[ebuild  N    ] kde-base/kdepim-icons-4.4.7  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 8,870 kB [0]
[ebuild  NS   ] kde-base/kdepimlibs-4.4.5 [9999] USE="semantic-desktop (-aqua) -debug -handbook (-kdeenablefinal) (-kdeprefix) -ldap -test" 2,376 kB [0]
[uninstall    ] kde-base/kdepimlibs-9999  USE="(-aqua) -debug -handbook (-kdeenablefinal) (-kdeprefix) -ldap -semantic-desktop -test"  [1]
[blocks b     ] kde-base/kdepimlibs:live[-kdeprefix] ("kde-base/kdepimlibs:live[-kdeprefix]" is blocking kde-base/kdepimlibs-4.4.5)
[blocks b     ] kde-base/kdepimlibs:4.4[-kdeprefix] ("kde-base/kdepimlibs:4.4[-kdeprefix]" is blocking kde-base/kdepimlibs-9999)
[ebuild  N    ] kde-base/libkdepim-4.4.7  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [0]
[ebuild  N    ] kde-base/kdepim-runtime-4.4.7  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 612 kB [0]
[ebuild  N    ] kde-base/akonadi-4.4.7  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [0]


and then after trying to unmask akonadi-4.4.9999:
Code:
jordan@crusher /var/lib/layman/kde/kde-base/akonadi $ sudo emerge -av akonadi
--- Unmatch removal atoms in /var/lib/layman/pcsx2/profiles/package.mask: -games-emulation/ps2emu-cddvdlinuz, -games-emulation/pcsx2, -games-emulation/ps2emu-padxwin and 5 more
--- Unmatch removal atom(s) in /var/lib/layman/wolf31o2/profiles/package.mask: -dev-python/pygoogle, -=net-analyzer/net-snmp-5.5*, -net-firewall/arno-iptables-firewall

These are the packages that would be merged, in order:

Calculating dependencies             ... done!                 
[ebuild  N    ] app-office/akonadi-server-1.4.80  USE="server sqlite -mysql -postgres" 237 kB [1]
[ebuild  N    ] kde-base/kdepim-icons-4.4.7  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 8,870 kB [0]
[ebuild  NS   ] kde-base/kdepimlibs-4.4.5 [9999] USE="semantic-desktop (-aqua) -debug -handbook (-kdeenablefinal) (-kdeprefix) -ldap -test" 2,376 kB [0]
[uninstall    ] kde-base/kdepimlibs-9999  USE="(-aqua) -debug -handbook (-kdeenablefinal) (-kdeprefix) -ldap -semantic-desktop -test"  [1]
[blocks b     ] kde-base/kdepimlibs:live[-kdeprefix] ("kde-base/kdepimlibs:live[-kdeprefix]" is blocking kde-base/kdepimlibs-4.4.5)
[blocks b     ] kde-base/kdepimlibs:4.4[-kdeprefix] ("kde-base/kdepimlibs:4.4[-kdeprefix]" is blocking kde-base/kdepimlibs-9999)
[ebuild  N    ] kde-base/libkdepim-4.4.7  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [0]
[ebuild  N    ] kde-base/kdepim-runtime-4.4.7  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 612 kB [0]
[ebuild  N    ] kde-base/akonadi-4.4.9999  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [1]


what gives? shoudln't plasma-workspace-9999 depend on newer akonadi/kdepimlibs?
Back to top
View user's profile Send private message
Earthwings
Bodhisattva
Bodhisattva


Joined: 14 Apr 2003
Posts: 7753
Location: Karlsruhe, Germany

PostPosted: Sun Nov 28, 2010 9:00 am    Post subject: Reply with quote

aminalshmu wrote:
thanks for the tip on building marble with USE="-python" for successful compile. what loss of functionality does that entail, i wonder?

None for the marble application.

Building marble with the python USE flag enabled results in the Marble python bindings being compiled. They make it possible to write python applications that use an embedded map widget (Marble). The marble application itself does not use that functionality.
_________________
KDE
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Nov 28, 2010 2:31 pm    Post subject: Reply with quote

To KDE-overlay maintainers:

kdevelop-php and kdevelop-php-docs KMMODULE should be changed to:

KMMODULE="php" => KMMODULE="kdev-php"
KMMODULE="php-docs" => KMMODULE="kdev-php-docs"

To reflect the changes in naming after move to git.kde and to make *-9999 build.
Back to top
View user's profile Send private message
NaiL
Apprentice
Apprentice


Joined: 13 Feb 2003
Posts: 228
Location: Spain/BCN

PostPosted: Mon Nov 29, 2010 5:03 pm    Post subject: Reply with quote

Code:
emerge -uaDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "~sys-auth/polkit-qt-0.98_pre".                                                                 
(dependency required by "@kdedeps-4.6")
(dependency required by "@kde-4.6")
(dependency required by "@selected")
(dependency required by "@world" [argument])


Code:
ls /var/lib/layman/kde/sys-auth/polkit-qt/
Manifest      polkit-qt-0.98_pre20101127.ebuild
metadata.xml  polkit-qt-9999.ebuild


Code:
Portage 2.2.0_alpha6 (default/linux/amd64/10.0, gcc-4.4.4, glibc-2.11.2-r3, 2.6.34-gentoo-r12 x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-r12-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8500_@_3.16GHz-with-gentoo-1.12.14
Timestamp of tree: Mon, 29 Nov 2010 16:15:03 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r1
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
Repositories: gentoo sunrise webapp-experimental kde
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.dei.uc.pt/pub/linux/gentoo/ http://gentoo.wheel.sk/ http://gentoo.tiscali.nl/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/webapps-experimental /var/lib/layman/kde"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl alsa amd64 apache2 aspell bash-completion berkdb bzip2 cairo cli cracklib crypt cups cxx dbus dri fbcon ffmpeg firefox flac fontconfig fortran gd gdbm ggi gif git gnuplot gnutls gpm graphviz gsl gstreamer gtk iconv imagemagick ipv6 java java6 javascript jpeg jpeg2k kde kde4 latex libcaca libwww mmx mng modules mp3 mpeg msn mudflap multilib musepack mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl php png postgres pppd python qt3support qt4 raw readline sdl semantic-desktop session smp socks5 sql sse sse2 ssl subversion svg sysfs tcpd tidy tiff transparent-proxy truetype unicode vorbis wavpack webkit wmf xine xinerama xml xorg xpm zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
NaiL
Apprentice
Apprentice


Joined: 13 Feb 2003
Posts: 228
Location: Spain/BCN

PostPosted: Tue Nov 30, 2010 12:43 am    Post subject: Reply with quote

Code:
 emerge -uaDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=dev-libs/soprano-2.5.63_pre" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/soprano-9999::kde (masked by: missing keyword)
- dev-libs/soprano-2.5.63_pre20101127::kde (masked by: missing keyword)

(dependency required by "@kdedeps-4.6")
(dependency required by "@kde-4.6")
(dependency required by "@selected")
(dependency required by "@world" [argument])


I have the correspondent links to the 4.6 keyword and unmask files. Do I need something else?
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Tue Nov 30, 2010 1:08 pm    Post subject: Reply with quote

NaiL wrote:
Code:
 emerge -uaDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=dev-libs/soprano-2.5.63_pre" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/soprano-9999::kde (masked by: missing keyword)
- dev-libs/soprano-2.5.63_pre20101127::kde (masked by: missing keyword)

(dependency required by "@kdedeps-4.6")
(dependency required by "@kde-4.6")
(dependency required by "@selected")
(dependency required by "@world" [argument])


I have the correspondent links to the 4.6 keyword and unmask files. Do I need something else?


put

=dev-libs/soprano-2.5* **

in package.keywords
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Tue Nov 30, 2010 1:41 pm    Post subject: Reply with quote

I am getting random icon corruptions as well, mainly cursor icons and some random applications in sys tray. Deleting cache and relogging helps for a few minutes tops, until .xsession-erros spams a bit about cache corruption...
Back to top
View user's profile Send private message
NaiL
Apprentice
Apprentice


Joined: 13 Feb 2003
Posts: 228
Location: Spain/BCN

PostPosted: Tue Nov 30, 2010 5:02 pm    Post subject: Reply with quote

I had to add the following keywords to install KDE 4.6 set. I don't understand why the KDE part is not included in the keyword file provided by the overlay.

Code:
#Other
=dev-libs/soprano-2.5* **
media-sound/phonon ~amd64
x11-libs/qt-declarative ~amd64
dev-libs/libattica ~amd64

#KDE
kde-base/knode:4.6
kde-base/knotes:4.6
kde-base/kdepim-meta:4.6
kde-base/korganizer:4.6
kde-base/kleopatra:4.6
kde-base/blogilo:4.6
kde-base/kmail:4.6
kde-base/akregator:4.6
kde-base/kaddressbook:4.6
kde-base/konsolekalendar:4.6
kde-base/kdepim-strigi-analyzer:4.6
kde-base/ktimetracker:4.6
kde-base/kdepim-runtime:4.6
kde-base/kontact:4.6
kde-base/kjots:4.6
kde-base/kdepim-common-libs:4.6
kde-base/kdepim-kresources:4.6
kde-base/akonadiconsole:4.6
kde-base/kdepim-icons:4.6
kde-base/kabcclient:4.6
kde-base/kalarm:4.6
kde-base/kdepim-wizards:4.6

#QT
x11-libs/qt-qt3support ~amd64
x11-libs/qt-gui ~amd64
x11-libs/qt-script ~amd64
x11-libs/qt-svg ~amd64
x11-libs/qt-sql ~amd64
x11-libs/qt-test ~amd64
x11-libs/qt-core ~amd64
x11-libs/qt-dbus ~amd64
x11-libs/qt-webkit ~amd64
x11-libs/qt-opengl ~amd64
x11-libs/qt-xmlpatterns ~amd64
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 154
Location: Czech Republic

PostPosted: Tue Nov 30, 2010 8:08 pm    Post subject: Reply with quote

ssteinberg wrote:
Anyone managed with a truely HAL-free KDE 4.5.80? Without HAL I have no automounting of cameras (DVDs do automount), though I can manually access them from Digikam, and more important no more suspend/hibernate from KDE.
Code:
# upower -d
Daemon:
  daemon-version:  0.9.7
  can-suspend:     yes
  can-hibernate    yes
...


I have the same problem. There is a bug on the KDE bugzilla. https://bugs.kde.org/show_bug.cgi?id=258400
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Wed Dec 01, 2010 4:34 am    Post subject: Reply with quote

Solid is having patch issues.
After commenting out the patch, it seems to work fine.....
Code:
>>> Emerging (1 of 37) kde-base/solid-9999 from kde
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * CPV:  kde-base/solid-9999
 * REPO: kde
 * USE:  amd64 bluetooth elibc_glibc kernel_linux multilib networkmanager userland_GNU
>>> Unpacking source...
 * Fetching disabled since 1 hours has not passed since last update.
 * Using existing repository copy at revision 1202482.
 *    working copy: /usr/portage/distfiles/svn-src/kdebase-workspace/workspace

 * Exporting parts of working copy to /var/tmp/portage/kde-base/solid-9999/work/solid-9999
>>> Source unpacked in /var/tmp/portage/kde-base/solid-9999/work
>>> Preparing source in /var/tmp/portage/kde-base/solid-9999/work/solid-9999 ...
 * Applying solid-4.4.69-darwin-compile-powermanager.patch ...

 * Failed Patch: solid-4.4.69-darwin-compile-powermanager.patch !
 *  ( /var/lib/layman/kde/kde-base/solid/files/solid-4.4.69-darwin-compile-powermanager.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/kde-base/solid-9999/temp/solid-4.4.69-darwin-compile-powermanager.patch.out

 * ERROR: kde-base/solid-9999 failed:
 *   Failed Patch: solid-4.4.69-darwin-compile-powermanager.patch!
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_prepare
 *   environment, line 4320:  Called kde4-meta_src_prepare
 *   environment, line 3474:  Called kde4-base_src_prepare
 *   environment, line 3070:  Called base_src_prepare
 *   environment, line  907:  Called epatch '/var/lib/layman/kde/kde-base/solid/files/solid-4.4.69-darwin-compile-powermanager.patch'
 *   environment, line 2131:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of 'emerge --info =kde-base/solid-9999',
 * the complete build log and the output of 'emerge -pqv =kde-base/solid-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-meta.eclass
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/tmp/portage/kde-base/solid-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/solid-9999/temp/environment'.
 * S: '/var/tmp/portage/kde-base/solid-9999/work/solid-9999'

>>> Failed to emerge kde-base/solid-9999, Log file:

>>>  '/var/tmp/portage/kde-base/solid-9999/temp/build.log'

 * Messages for package kde-base/solid-9999:

 * Failed Patch: solid-4.4.69-darwin-compile-powermanager.patch !
 *  ( /var/lib/layman/kde/kde-base/solid/files/solid-4.4.69-darwin-compile-powermanager.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/kde-base/solid-9999/temp/solid-4.4.69-darwin-compile-powermanager.patch.out
 * ERROR: kde-base/solid-9999 failed:
 *   Failed Patch: solid-4.4.69-darwin-compile-powermanager.patch!
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_prepare
 *   environment, line 4320:  Called kde4-meta_src_prepare
 *   environment, line 3474:  Called kde4-base_src_prepare
 *   environment, line 3070:  Called base_src_prepare
 *   environment, line  907:  Called epatch '/var/lib/layman/kde/kde-base/solid/files/solid-4.4.69-darwin-compile-powermanager.patch'
 *   environment, line 2131:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of 'emerge --info =kde-base/solid-9999',
 * the complete build log and the output of 'emerge -pqv =kde-base/solid-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-meta.eclass
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/tmp/portage/kde-base/solid-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/solid-9999/temp/environment'.
 * S: '/var/tmp/portage/kde-base/solid-9999/work/solid-9999'

_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Wed Dec 01, 2010 5:10 pm    Post subject: Reply with quote

From time to time kate and kwrite get insane - everything that I write is shown backwards, as if I were using right-to-left writing style.
This just drives me insane, as I have to close and open the thing again. Anyone have this issue?
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Wed Dec 01, 2010 6:57 pm    Post subject: Reply with quote

Some time ago, I had the same problem, but closing kate and restarting it solved it for me. In recent times, it did not occur any more at all.
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Thu Dec 02, 2010 3:04 am    Post subject: Reply with quote

Im having an very anoying problem.
Each time
Code:
KGlobal::locale::Warning your global KLocale is being recreated with a valid main component instead of a fake component

appears when clicking the menu, of lets say, VLC to open the file browser, I have to wait one minute to get the file browser to open.

Ive seen this bug listed in a lot of other places, but is there any solution?
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Thu Dec 02, 2010 2:24 pm    Post subject: Reply with quote

kde 4.5.4 is out now.

Unfortunately, there are emerge problems:


Quote:
Länge: 60236190 (57M), 54788510 (52M) sind noch übrig (unmaßgeblich)

100%[++++++++++==================================================================================================================>] 65.683.870 9,56M/s in 6,4s

2010-12-02 15:23:08 (9,03 MB/s) - »»/Files/distfiles/kdebase-workspace-4.5.4.tar.bz2«« gespeichert [65683870]

('Filesize does not match recorded size', 65683870, 65689696)
!!! Fetched file: kdebase-workspace-4.5.4.tar.bz2 VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got: 65683870
!!! Expected: 65689696


it wants to fetch it over and over again.

Apperently, one must delete the following manifest files and then rebuold them via ebuild /ebuildfile.ebuild manifest

file:///usr/layman/layman/kde/kde-base/libtaskmanager/Manifest
file:///usr/layman/layman/kde/kde-base/kdebase-startkde/Manifest
file:///usr/layman/layman/kde/kde-base/kmenuedit/Manifest
file:///usr/layman/layman/kde/kde-base/systemsettings/Manifest
file:///usr/layman/layman/kde/kde-base/kephal/Manifest
file:///usr/layman/layman/kde/kde-base/khotkeys/Manifest
file:///usr/layman/layman/kde/kde-base/kcheckpass/Manifest
file:///usr/layman/layman/kde/kde-base/powerdevil/Manifest
file:///usr/layman/layman/kde/kde-base/freespacenotifier/Manifest
file:///usr/layman/layman/kde/kde-base/kwrited/Manifest
file:///usr/layman/layman/kde/kde-base/kdebase-wallpapers/Manifest
file:///usr/layman/layman/kde/kde-base/solid/Manifest
file:///usr/layman/layman/kde/kde-base/libplasmaclock/Manifest
file:///usr/layman/layman/kde/kde-base/kcminit/Manifest
file:///usr/layman/layman/kde/kde-base/kinfocenter/Manifest
file:///usr/layman/layman/kde/kde-base/qguiplatformplugin_kde/Manifest
file:///usr/layman/layman/kde/kde-base/libkworkspace/Manifest
file:///usr/layman/layman/kde/kde-base/kwin/Manifest
file:///usr/layman/layman/kde/kde-base/ksplash/Manifest
file:///usr/layman/layman/kde/kde-base/krunner/Manifest
file:///usr/layman/layman/kde/kde-base/ksmserver/Manifest
file:///usr/layman/layman/kde/kde-base/liboxygenstyle/Manifest
file:///usr/layman/layman/kde/kde-base/kstyles/Manifest
file:///usr/layman/layman/kde/kde-base/ksysguard/Manifest
file:///usr/layman/layman/kde/kde-base/kdebase-cursors/Manifest
file:///usr/layman/layman/kde/kde-base/kdm/Manifest
file:///usr/layman/layman/kde/kde-base/libplasmagenericshell/Manifest
file:///usr/layman/layman/kde/kde-base/ksystraycmd/Manifest
file:///usr/layman/layman/kde/kde-base/plasma-workspace/Manifest
file:///usr/layman/layman/kde/kde-base/klipper/Manifest
file:///usr/layman/layman/kde/kde-base/kstartupconfig/Manifest
file:///usr/layman/layman/kde/kde-base/kscreensaver/Manifest
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Thu Dec 02, 2010 4:35 pm    Post subject: Reply with quote

the same is with kdebindings on which the following manifests depend:

file:///usr/layman/layman/kde/kde-base/pykde4/Manifest
file:///usr/layman/layman/kde/kde-base/kdebindings-perl/Manifest
file:///usr/layman/layman/kde/kde-base/krosspython/Manifest
file:///usr/layman/layman/kde/kde-base/krossjava/Manifest
file:///usr/layman/layman/kde/kde-base/smoke/Manifest
file:///usr/layman/layman/kde/kde-base/kdebindings-csharp/Manifest
file:///usr/layman/layman/kde/kde-base/kdebindings-ruby/Manifest
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Fri Dec 03, 2010 8:29 am    Post subject: Reply with quote

Additionally, many packages, namely:

* (kde-base/ksysguard-4.5.4, ebuild scheduled for merge), Log file:
* '/tmp/portage/kde-base/ksysguard-4.5.4/temp/build.log'
* (kde-base/kdebase-startkde-4.5.4, ebuild scheduled for merge)
* (kde-base/krunner-4.5.4, ebuild scheduled for merge)
* (kde-base/kdebase-meta-4.5.4, ebuild scheduled for merge)
* (kde-base/plasma-workspace-4.5.4, ebuild scheduled for merge)
* (kde-base/plasma-runtime-4.5.4, ebuild scheduled for merge), Log file:
* '/tmp/portage/kde-base/plasma-runtime-4.5.4/temp/build.log'
* (kde-base/kdebase-runtime-meta-4.5.4, ebuild scheduled for merge)
* (dev-vcs/subversion-1.6.15, ebuild scheduled for merge), Log file:
* '/tmp/portage/dev-vcs/subversion-1.6.15/temp/build.log'
* (kde-base/kwin-4.5.4, ebuild scheduled for merge), Log file:
* '/tmp/portage/kde-base/kwin-4.5.4/temp/build.log'
* (kde-base/kmix-4.5.4, ebuild scheduled for merge), Log file:
* '/tmp/portage/kde-base/kmix-4.5.4/temp/build.log'
* (kde-base/kdemultimedia-meta-4.5.4, ebuild scheduled for merge)
* (kde-base/ksmserver-4.5.4, ebuild scheduled for merge), Log file:
* '/tmp/portage/kde-base/ksmserver-4.5.4/temp/build.log'
* (kde-base/superkaramba-4.5.4, ebuild scheduled for merge), Log file:
* '/tmp/portage/kde-base/superkaramba-4.5.4/temp/build.log'
* (kde-base/kdeutils-meta-4.5.4, ebuild scheduled for merge)
* (dev-util/kdevplatform-1.1.1, ebuild scheduled for merge), Log file:
* '/tmp/portage/dev-util/kdevplatform-1.1.1/temp/build.log'
* (dev-util/kdevelop-4.1.1, ebuild scheduled for merge)


fail for me, when useflag icu for sqlite was selected.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Fri Dec 03, 2010 2:18 pm    Post subject: Reply with quote

Have you synced lately? Packages are in Portage now (deleted from kde overlay) and supposed to have proper Manifests.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
energyman76b
Advocate
Advocate


Joined: 26 Mar 2003
Posts: 2045
Location: Germany

PostPosted: Fri Dec 03, 2010 4:37 pm    Post subject: Reply with quote

pykde4-4.5.4 fails:

>> Install pykde4-4.5.4 into /var/tmp/portage/kde-base/pykde4-4.5.4/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.4/work/pykde4-4.5.4_build"
make -j5 DESTDIR=/var/tmp/portage/kde-base/pykde4-4.5.4/image/ install
make: *** No rule to make target `install'. Stop.
emake failed
* ERROR: kde-base/pykde4-4.5.4 failed:
* died running make install, base_src_install

emerge --info
WARNING: One or more repositories have missing repo_name entries:

/usr/local/portage/ati-testing/profiles/repo_name
/usr/local/portage/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.


Portage 2.2.0_alpha6 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.12.1-r3, 2.6.36r4 x86_64)
=================================================================
System uname: Linux-2.6.36r4-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-2.0.1
Timestamp of tree: Fri, 03 Dec 2010 16:30:01 +0000
app-shells/bash: 4.1_p9
dev-java/java-config: 2.1.11-r2
dev-lang/python: 2.6.6-r1, 2.7.1, 3.1.3
dev-util/cmake: 2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc: 0.6.6
sys-apps/sandbox: 2.4
sys-devel/autoconf: 2.13, 2.68
sys-devel/automake: 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils: 2.20.1-r1
sys-devel/gcc: 4.4.4-r2, 4.5.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82
virtual/os-headers: 2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo kde x11 x-portage x-ati-testing
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -msse3 -msse4a -mabm -fpredictive-commoning -mfpmath=sse -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=amdfam10 -O2 -msse3 -msse4a -mabm -fpredictive-commoning -mfpmath=sse -pipe"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FEATURES="assume-digests binpkg-logs buildpkg candy collision-protect distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE@euro"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de"
MAKEOPTS="-j5"
PKGDIR="/var/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/x11 /usr/local/portage /usr/local/portage/ati-testing"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="32bit 3dnow 3dnowext 64bit 7zip S3TC X Xaw3d a52 aac acpi addbookmarks aften aiglx aim aio akode akonadi alias alsa altenburgcards amarok amarok2 amd64 amr amrnb amrwb analogtv aotuv aqua_theme archive athena atm audio audiofile autoreplace ayatana bash-completion berkdb binary-drivers binfilter bittorrent boost branding bzip2 cairo captury cdaudio cdda cddb cdinstall cdparanoia cdr cdrom cdsound cegui chm clamav cli clucene connection-sharing connectionstatus consolekit contactnotes cracklib crypt css cups curl cxx dbus dhcp dhcpcd dirac divx dnd double-precision downloadorder dpms dragonplayer dri dts dv dvb dvbplayer dvbsetup dvd dvdr eap-sim eap-tls editor embedded emboss emerald emovix enca encode exceptions exif exiv2 expat extra-cardsets fame fasttrack fat festival ffmpeg fftw file firefox fits flac fontconfig foomaticdb fortran freetts ftp fts3 gadu gd gdbm geoip gif gimp gles glibc-omitfp glitz glut glx gnutella google-gadgets gpgme gpm graphite grub hal hddtemp highlight history icons iconv icotools icq icu id3 id3tag ieee1394 imagemagick inotify ipv6 irc irmc irrlicht jabber java java6 javascript jce jingle joystick jpeg jpeg2k kate kcal kde kde4 kdecards kdehiddenvisibility kdepim kdm kexi kipi konqueror kontact ktts lame lapack lastfm lcms lesstif libsamplerate libssh2 libv4l2 libwww lirc lm_sensors logitech-mouse logviewer lzma lzo mad magic mailbox maildir maps matroska mbox mbrola mdnsresponder-compat metric mikmod mime mixer mjpeg mmap mmx mmxext mng modules monolithic mp2 mp3 mp4 mpeg mpeg2 mpi mpi-threads mplayer msn mtp mudflap mule multilib musepack music nano-syntax ncurses neXt nepomuk net network newspr ngui nls no-old-linux nocd nowin nowlistening npp nptl nptlonly nsplugin nspluginwrapper ntfs obex offensive ogg ogg123 ogm old-daemons openexr opengl openmp oscar otr oxygen pango pch pcre pda pdf perl phonon physfs pixmaps plasma player plotutils plugins png pnm posix postgres ppds pppd ps python qt-faststart qt3support qt4 rar readline recode reiser4 reiserfs remix reports resolvconf rogue rss rtc samba samba4 sametime sasl scanner scenarios schedule schroedinger scsi sdl sdl-image sdl-sound sdlaudio search secure-delete semantic-desktop sensord server session shaders shm skins skype slp smp sms sndfile sockets sound sounds spell sqlite sqlite3 sse sse2 sse3 sse4a ssh ssl startup-notification statistics stats stroke strong-optimization subp svg sysfs system-v8 sysvipc szip tcpd templates test-programs texteffect textures tga theora threads threadsafe thumbnail tiff timidity tk tomsfastmath toolbar tools transcode translator truetype tv tv_check tv_combiner tv_pick_cgi tvtime udev unicode unzip upnp usb userlocales utempter v4l v4l2 vcd videos virtuoso visualization vorbis vpx wav webdav webinterface webkit webpresence wifi windeco wireshark wma wma-fixed wmf wv2 x264 xanim xatrix xcb xcomposite xemacs xext xface xft xine xml xorg xosd xpm xrandr xrender xscreensaver xskatcards xulrunner xv xvid xvmc yahoo yiff yv12 zip zlib zsh-completion zvbi" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" LIRC_DEVICES="devinput" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa v4l fglrx radeon radeonhd r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
_________________
Study finds stunning lack of racial, gender, and economic diversity among middle-class white males

I identify as a dirty penismensch.
Back to top
View user's profile Send private message
Shining Arcanine
Veteran
Veteran


Joined: 24 Sep 2009
Posts: 1110

PostPosted: Fri Dec 03, 2010 9:58 pm    Post subject: Reply with quote

I updated my amd64 system yesterday evening without a single compilation issue. People who are having issues might want to resynchronize portage and try installing the updates again.
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Sat Dec 04, 2010 12:20 am    Post subject: Reply with quote

I updated with no compile errors BUT i no longer have sound device
AND konqueror video file preview is STILL broken.

Anyone have any clue on either of these or experiencing the same?
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
energyman76b
Advocate
Advocate


Joined: 26 Mar 2003
Posts: 2045
Location: Germany

PostPosted: Sat Dec 04, 2010 10:15 pm    Post subject: Reply with quote

sound problems might be related to phonon trying to use the wrong sound device.

Shining: since the failure I synced twice. Pykde build after I rebuild -e world.

Then system-config-printer-kde failed, which was solved by rebuilding all the packages it depends on. That is real fun. Really.
_________________
Study finds stunning lack of racial, gender, and economic diversity among middle-class white males

I identify as a dirty penismensch.
Back to top
View user's profile Send private message
Shining Arcanine
Veteran
Veteran


Joined: 24 Sep 2009
Posts: 1110

PostPosted: Sun Dec 05, 2010 12:35 am    Post subject: Reply with quote

energyman76b wrote:
sound problems might be related to phonon trying to use the wrong sound device.

Shining: since the failure I synced twice. Pykde build after I rebuild -e world.

Then system-config-printer-kde failed, which was solved by rebuilding all the packages it depends on. That is real fun. Really.


I switched from GCC 4.4.5 to GCC 4.5.1 a few days before the KDE 4.5.4 upgrade and did an emerge -e @world. Things also went well on my x86 laptop, which is still using GCC 4.4.5 and has not been recompiled en masse lately. I am not sure why you had trouble and I did not. :/
Back to top
View user's profile Send private message
energyman76b
Advocate
Advocate


Joined: 26 Mar 2003
Posts: 2045
Location: Germany

PostPosted: Sun Dec 05, 2010 1:24 am    Post subject: Reply with quote

arcane and random breakage ;)

just like an emerge -e world after switching to 4.5.1 completely destroyed my system (init going oom is not fun. Or bash. Or zsh). Others are happy and everything works, I will stay with 4.4 for a little bit longer.
_________________
Study finds stunning lack of racial, gender, and economic diversity among middle-class white males

I identify as a dirty penismensch.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6 ... 19, 20, 21  Next
Page 5 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum